Bug 144234 - [zfs] Cannot boot machine with recent gptzfsboot code [regression]
Summary: [zfs] Cannot boot machine with recent gptzfsboot code [regression]
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Baldwin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-23 15:20 UTC by jamesbrandongooch
Modified: 2017-02-18 14:27 UTC (History)
15 users (show)

See Also:


Attachments
extra_debug_info.patch (463 bytes, patch)
2014-08-27 19:14 UTC, John Baldwin
no flags Details | Diff
bounce_buffer_1.patch (1.06 KB, patch)
2014-08-27 20:10 UTC, John Baldwin
no flags Details | Diff
stable_10.patch (1.40 KB, patch)
2014-09-03 17:52 UTC, John Baldwin
no flags Details | Diff
Makes the bootblocks find a vdev for booting by using the secondary lookup for all disks. (573 bytes, patch)
2015-07-20 20:10 UTC, Ronald Klop
no flags Details | Diff
Fix for HP gptzfsboot LBA read error (2.26 KB, patch)
2016-07-12 23:25 UTC, Allan Jude
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesbrandongooch 2010-02-23 15:20:01 UTC
After completing an install of 9.0-CURRENT on ZFS root
(http://wiki.freebsd.org/RootOnZFS/GPTZFSBoot), I receive this error
when trying to boot the computer after install:

error 1 lba 48
error 1 lba 1
No ZFS pools located, can't boot

Verbose dmesg:

Copyright (c) 1992-2010 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.0-CURRENT #0 r204163: Sun Feb 21 02:59:23 CST 2010
    root@adamo.local:/usr/obj/usr/src/sys/ADAMO amd64
Preloaded elf kernel "/boot/kernel/kernel" at 0xffffffff80dc9000.
Preloaded elf obj module "/boot/kernel/nullfs.ko" at 0xffffffff80dc9280.
Preloaded elf obj module "/boot/kernel/zfs.ko" at 0xffffffff80dc98a8.
Preloaded elf obj module "/boot/kernel/opensolaris.ko" at 0xffffffff80dc9f50.
Preloaded elf obj module "/boot/kernel/if_epair.ko" at 0xffffffff80dca580.
Preloaded elf obj module "/boot/kernel/if_tap.ko" at 0xffffffff80dcabf0.
Preloaded elf obj module "/boot/kernel/if_vlan.ko" at 0xffffffff80dcb218.
Preloaded elf obj module "/boot/kernel/if_bge.ko" at 0xffffffff80dcb8c0.
Preloaded elf obj module "/boot/kernel/miibus.ko" at 0xffffffff80dcbee8.
Preloaded elf obj module "/boot/kernel/ng_ether.ko" at 0xffffffff80dcc490.
Preloaded elf obj module "/boot/kernel/netgraph.ko" at 0xffffffff80dcca40.
Preloaded elf obj module "/boot/kernel/sound.ko" at 0xffffffff80dcd0f0.
Preloaded elf obj module "/boot/kernel/snd_hda.ko" at 0xffffffff80dcd798.
Preloaded elf obj module "/boot/kernel/usb.ko" at 0xffffffff80dcddc0.
Preloaded elf obj module "/boot/kernel/uhid.ko" at 0xffffffff80dce468.
Preloaded elf obj module "/boot/kernel/ukbd.ko" at 0xffffffff80dcea90.
Preloaded elf obj module "/boot/kernel/ums.ko" at 0xffffffff80dcf138.
Preloaded elf obj module "/boot/kernel/umass.ko" at 0xffffffff80dcf760.
Preloaded elf obj module "/boot/kernel/acpi_video.ko" at 0xffffffff80dcfd88.
Preloaded /boot/zfs/zpool.cache "/boot/zfs/zpool.cache" at 0xffffffff80dd0338.
Preloaded elf obj module "/boot/kernel/ehci.ko" at 0xffffffff80dd0398.
Preloaded elf obj module "/boot/kernel/uhci.ko" at 0xffffffff80dd09c0.
Preloaded elf obj module "/boot/kernel/ucom.ko" at 0xffffffff80dd0fe8.
Preloaded elf obj module "/boot/kernel/umct.ko" at 0xffffffff80dd1790.
Preloaded elf obj module "/boot/kernel/uplcom.ko" at 0xffffffff80dd1d38.
Preloaded elf obj module "/boot/kernel/if_iwn.ko" at 0xffffffff80dd2360.
Preloaded elf obj module "/boot/kernel/drm.ko" at 0xffffffff80dd2908.
Preloaded elf obj module "/boot/kernel/i915.ko" at 0xffffffff80dd2fb0.
Timecounter "i8254" frequency 1193182 Hz quality 0
Calibrating TSC clock ... TSC clock: 1400059997 Hz
CPU: Intel(R) Core(TM)2 Duo CPU     U9400  @ 1.40GHz (1400.06-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x10676  Stepping = 6
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x8e3fd<SSE3,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,SSE4.1>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  TSC: P-state invariant
real memory  = 4294967296 (4096 MB)
Physical memory chunk(s):
0x0000000000001000 - 0x0000000000097fff, 618496 bytes (151 pages)
0x0000000000e02000 - 0x00000000b3e20fff, 3003248640 bytes (733215 pages)
0x00000000bd4a7000 - 0x00000000bd5cffff, 1216512 bytes (297 pages)
0x00000000bd60f000 - 0x00000000bd708fff, 1024000 bytes (250 pages)
0x00000000bd90f000 - 0x00000000bd917fff, 36864 bytes (9 pages)
0x00000000bd91f000 - 0x00000000bd962fff, 278528 bytes (68 pages)
0x00000000bd99f000 - 0x00000000bd9e2fff, 278528 bytes (68 pages)
0x00000000bd9ff000 - 0x00000000bd9fffff, 4096 bytes (1 pages)
0x0000000100000000 - 0x000000013ffeffff, 1073676288 bytes (262128 pages)
avail memory = 4057239552 (3869 MB)
ACPI APIC Table: <PTLTD  	 APIC  >
INTR: Adding local APIC 1 as a target
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
APIC: CPU 0 has ACPI ID 0
APIC: CPU 1 has ACPI ID 1
ULE: setup cpu 0
ULE: setup cpu 1
ACPI: RSDP 0xf78e0 00024 (v2 PTLTD )
ACPI: XSDT 0xbd9f76c5 0007C (v1 DELL    QA09    06040000  LTP 00000000)
ACPI: FACP 0xbd9e7000 000F4 (v3 INTEL  CRESTLNE 06040000 ALAN 00000001)
ACPI: DSDT 0xbd9e8000 0740C (v2 Intel  CANTIGA  06040000 INTL 20050624)
ACPI: FACS 0xbd99efc0 00040
ACPI: HPET 0xbd9fed16 00038 (v1 INTEL  CRESTLNE 06040000 LOHR 0000005A)
ACPI: MCFG 0xbd9fed4e 0003C (v1 INTEL  CRESTLNE 06040000 LOHR 0000005A)
ACPI: APIC 0xbd9fed8a 00068 (v1 PTLTD  ? APIC   06040000  LTP 00000000)
ACPI: BOOT 0xbd9fedf2 00028 (v1 PTLTD  $SBFTBL$ 06040000  LTP 00000001)
ACPI: SLIC 0xbd9fee1a 00176 (v1 DELL    QA09    06040000  LTP 00000000)
ACPI: OSFR 0xbd9fef90 00070 (v1 DELL   DELL     06040000 ASL  00000061)
ACPI: SSDT 0xbd9f7769 00039 (v1 BrtRef  DD01BRT 00001000 INTL 20050624)
ACPI: SSDT 0xbd9e6000 00655 (v1  PmRef    CpuPm 00003000 INTL 20050624)
ACPI: SSDT 0xbd9e5000 00259 (v1  PmRef  Cpu0Tst 00003000 INTL 20050624)
ACPI: SSDT 0xbd9e4000 0020F (v1  PmRef    ApTst 00003000 INTL 20050624)
MADT: Found IO APIC ID 2, Interrupt 0 at 0xfec00000
ioapic0: Routing external 8259A's -> intpin 0
lapic0: Routing NMI -> LINT1
lapic0: LINT1 trigger: edge
lapic0: LINT1 polarity: high
lapic1: Routing NMI -> LINT1
lapic1: LINT1 trigger: edge
lapic1: LINT1 polarity: high
MADT: Interrupt override: source 0, irq 2
ioapic0: Routing IRQ 0 -> intpin 2
MADT: Interrupt override: source 9, irq 9
ioapic0: intpin 9 trigger: level
ioapic0 <Version 2.0> irqs 0-23 on motherboard
cpu0 BSP:
     ID: 0x00000000   VER: 0x00050014 LDR: 0x00000000 DFR: 0xffffffff
  lint0: 0x00010700 lint1: 0x00000400 TPR: 0x00000000 SVR: 0x000001ff
  timer: 0x000100ef therm: 0x00010000 err: 0x00010000 pcm: 0x00010400
wlan: <802.11 Link Layer>
snd_unit_init() u=0x00ff8000 [512] d=0x00007c00 [32] c=0x000003ff [1024]
feeder_register: snd_unit=-1 snd_maxautovchans=16 latency=5 feeder_rate_min=1 feeder_rate_max=2016000 feeder_rate_round=25
random: <entropy source, Software, Yarrow>
io: <I/O>
kbd: new array size 4
kbd1 at kbdmux0
mem: <memory>
null: <null device, zero device>
nfslock: pseudo-device
acpi0: <DELL QA09   > on motherboard
PCIe: Memory Mapped configuration base @ 0xe0000000
ioapic0: routing intpin 9 (ISA IRQ 9) to lapic 0 vector 48
acpi0: [MPSAFE]
acpi0: [ITHREAD]
AcpiOsDerivePciId: \\_SB_.PCI0.HBUS -> bus 0 dev 0 func 0
AcpiOsDerivePciId: \\_SB_.PCI0.RP04.PXCS -> bus 0 dev 28 func 3
acpi0: Power Button (fixed)
AcpiOsDerivePciId: \\_SB_.PCI0.LPCB.LPC0 -> bus 0 dev 31 func 0
AcpiOsDerivePciId: \\_SB_.PCI0.LPCB.LPC1 -> bus 0 dev 31 func 0
acpi_hpet0: vend: 0x8086 rev: 0x1 num: 4 hz: 14318180 opts: legacy_route 64-bit
Timecounter "HPET" frequency 14318180 Hz quality 900
ACPI timer: 0/3 1/2 0/3 0/3 0/3 0/3 0/3 1/2 1/2 1/2 -> 4
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
cpu0: <ACPI CPU> on acpi0
ACPI: SSDT 0xbd91ac20 00265 (v1  PmRef  Cpu0Ist 00003000 INTL 20050624)
ACPI: SSDT 0xbd918620 00575 (v1  PmRef  Cpu0Cst 00003001 INTL 20050624)
cpu1: <ACPI CPU> on acpi0
ACPI: SSDT 0xbd919ca0 001CF (v1  PmRef    ApIst 00003000 INTL 20050624)
ACPI: SSDT 0xbd919f20 0008D (v1  PmRef    ApCst 00003000 INTL 20050624)
acpi_ec0: <Embedded Controller: GPE 0x1c> port 0x62,0x66 on acpi0
pci_link0:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0    5   N     0  1 3 4 5 6 7 10 12 14 15
  Validation          0    5   N     0  1 3 4 5 6 7 10 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 10 12 14 15
pci_link1:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   11   N     0  1 3 4 5 6 7 11 12 14 15
  Validation          0   11   N     0  1 3 4 5 6 7 11 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 11 12 14 15
pci_link2:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   10   N     0  1 3 4 5 6 7 10 12 14 15
  Validation          0   10   N     0  1 3 4 5 6 7 10 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 10 12 14 15
pci_link3:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   10   N     0  1 3 4 5 6 7 11 12 14 15
  Validation          0  255   N     0  1 3 4 5 6 7 11 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 11 12 14 15
pci_link4:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0  255   N     0  1 3 4 5 6 7 10 12 14 15
  Validation          0  255   N     0  1 3 4 5 6 7 10 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 10 12 14 15
pci_link5:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   11   N     0  1 3 4 5 6 7 11 12 14 15
  Validation          0   11   N     0  1 3 4 5 6 7 11 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 11 12 14 15
pci_link6:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0   10   N     0  1 3 4 5 6 7 10 12 14 15
  Validation          0   10   N     0  1 3 4 5 6 7 10 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 10 12 14 15
pci_link7:        Index  IRQ  Rtd  Ref  IRQs
  Initial Probe       0    7   N     0  1 3 4 5 6 7 11 12 14 15
  Validation          0    7   N     0  1 3 4 5 6 7 11 12 14 15
  After Disable       0  255   N     0  1 3 4 5 6 7 11 12 14 15
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: domain=0, physical bus=0
found->	vendor=0x8086, dev=0x2a40, revid=0x07
	domain=0, bus=0, slot=0, func=0
	class=06-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x2090, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x8086, dev=0x2a42, revid=0x07
	domain=0, bus=0, slot=2, func=0
	class=03-00-00, hdrtype=0x00, mfdev=1
	cmdreg=0x0007, statreg=0x0090, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=5
	powerspec 3  supports D0 D3  current D0
	MSI supports 1 message
	map[10]: type Memory, range 64, base rxf8000000, size 22, enabled
	map[18]: type Prefetchable Memory, range 64, base rxd0000000, size 28, enabled
	map[20]: type I/O Port, range 32, base rx1800, size  3, enabled
pcib0: matched entry for 0.2.INTA
pcib0: slot 2 INTA hardwired to IRQ 16
found->	vendor=0x8086, dev=0x2a43, revid=0x07
	domain=0, bus=0, slot=2, func=1
	class=03-80-00, hdrtype=0x00, mfdev=1
	cmdreg=0x0007, statreg=0x0090, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	powerspec 3  supports D0 D3  current D0
	map[10]: type Memory, range 64, base rxf8400000, size 20, enabled
found->	vendor=0x8086, dev=0x2937, revid=0x03
	domain=0, bus=0, slot=26, func=0
	class=0c-03-00, hdrtype=0x00, mfdev=1
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=5
	map[20]: type I/O Port, range 32, base rx1820, size  5, enabled
pcib0: matched entry for 0.26.INTA
pcib0: slot 26 INTA hardwired to IRQ 16
found->	vendor=0x8086, dev=0x2938, revid=0x03
	domain=0, bus=0, slot=26, func=1
	class=0c-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=b, irq=11
	map[20]: type I/O Port, range 32, base rx1840, size  5, enabled
pcib0: matched entry for 0.26.INTB
pcib0: slot 26 INTB hardwired to IRQ 21
found->	vendor=0x8086, dev=0x2939, revid=0x03
	domain=0, bus=0, slot=26, func=2
	class=0c-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=c, irq=10
	map[20]: type I/O Port, range 32, base rx1860, size  5, enabled
pcib0: matched entry for 0.26.INTC
pcib0: slot 26 INTC hardwired to IRQ 19
found->	vendor=0x8086, dev=0x293c, revid=0x03
	domain=0, bus=0, slot=26, func=7
	class=0c-03-20, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=c, irq=10
	powerspec 2  supports D0 D3  current D0
	map[10]: type Memory, range 32, base rxf8804800, size 10, enabled
pcib0: matched entry for 0.26.INTC
pcib0: slot 26 INTC hardwired to IRQ 19
found->	vendor=0x8086, dev=0x293e, revid=0x03
	domain=0, bus=0, slot=27, func=0
	class=04-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=10
	powerspec 2  supports D0 D3  current D0
	MSI supports 1 message, 64 bit
	map[10]: type Memory, range 64, base rxf8600000, size 14, enabled
pcib0: matched entry for 0.27.INTA
pcib0: slot 27 INTA hardwired to IRQ 22
found->	vendor=0x8086, dev=0x2940, revid=0x03
	domain=0, bus=0, slot=28, func=0
	class=06-04-00, hdrtype=0x01, mfdev=1
	cmdreg=0x0107, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x04 (1000 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=11
	powerspec 2  supports D0 D3  current D0
	MSI supports 1 message
pcib0: matched entry for 0.28.INTA
pcib0: slot 28 INTA hardwired to IRQ 17
found->	vendor=0x8086, dev=0x2942, revid=0x03
	domain=0, bus=0, slot=28, func=1
	class=06-04-00, hdrtype=0x01, mfdev=1
	cmdreg=0x0107, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x04 (1000 ns), maxlat=0x00 (0 ns)
	intpin=b, irq=5
	powerspec 2  supports D0 D3  current D0
	MSI supports 1 message
pcib0: matched entry for 0.28.INTB
pcib0: slot 28 INTB hardwired to IRQ 16
found->	vendor=0x8086, dev=0x294a, revid=0x03
	domain=0, bus=0, slot=28, func=5
	class=06-04-00, hdrtype=0x01, mfdev=1
	cmdreg=0x0107, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x04 (1000 ns), maxlat=0x00 (0 ns)
	intpin=b, irq=5
	powerspec 2  supports D0 D3  current D0
	MSI supports 1 message
pcib0: matched entry for 0.28.INTB
pcib0: slot 28 INTB hardwired to IRQ 16
found->	vendor=0x8086, dev=0x2934, revid=0x03
	domain=0, bus=0, slot=29, func=0
	class=0c-03-00, hdrtype=0x00, mfdev=1
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=7
	map[20]: type I/O Port, range 32, base rx1880, size  5, enabled
pcib0: matched entry for 0.29.INTA
pcib0: slot 29 INTA hardwired to IRQ 23
found->	vendor=0x8086, dev=0x2935, revid=0x03
	domain=0, bus=0, slot=29, func=1
	class=0c-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=b, irq=10
	map[20]: type I/O Port, range 32, base rx18a0, size  5, enabled
pcib0: matched entry for 0.29.INTB
pcib0: slot 29 INTB hardwired to IRQ 19
found->	vendor=0x8086, dev=0x2936, revid=0x03
	domain=0, bus=0, slot=29, func=2
	class=0c-03-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0005, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=c, irq=10
	map[20]: type I/O Port, range 32, base rx18c0, size  5, enabled
pcib0: matched entry for 0.29.INTC
pcib0: slot 29 INTC hardwired to IRQ 18
found->	vendor=0x8086, dev=0x293a, revid=0x03
	domain=0, bus=0, slot=29, func=7
	class=0c-03-20, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x0290, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=7
	powerspec 2  supports D0 D3  current D0
	map[10]: type Memory, range 32, base rxf8804c00, size 10, enabled
pcib0: matched entry for 0.29.INTA
pcib0: slot 29 INTA hardwired to IRQ 23
found->	vendor=0x8086, dev=0x2448, revid=0x93
	domain=0, bus=0, slot=30, func=0
	class=06-04-01, hdrtype=0x01, mfdev=0
	cmdreg=0x0107, statreg=0x0010, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x04 (1000 ns), maxlat=0x00 (0 ns)
found->	vendor=0x8086, dev=0x2917, revid=0x03
	domain=0, bus=0, slot=31, func=0
	class=06-01-00, hdrtype=0x00, mfdev=1
	cmdreg=0x0007, statreg=0x0210, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
found->	vendor=0x8086, dev=0x2929, revid=0x03
	domain=0, bus=0, slot=31, func=2
	class=01-06-01, hdrtype=0x00, mfdev=0
	cmdreg=0x0007, statreg=0x02b0, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=b, irq=10
	powerspec 3  supports D0 D3  current D0
	MSI supports 16 messages
	map[10]: type I/O Port, range 32, base rx1818, size  3, enabled
	map[14]: type I/O Port, range 32, base rx180c, size  2, enabled
	map[18]: type I/O Port, range 32, base rx1810, size  3, enabled
	map[1c]: type I/O Port, range 32, base rx1808, size  2, enabled
	map[20]: type I/O Port, range 32, base rx18e0, size  5, enabled
	map[24]: type Memory, range 32, base rxf8804000, size 11, enabled
pcib0: matched entry for 0.31.INTB
pcib0: slot 31 INTB hardwired to IRQ 19
found->	vendor=0x8086, dev=0x2930, revid=0x03
	domain=0, bus=0, slot=31, func=3
	class=0c-05-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0103, statreg=0x0280, cachelnsz=0 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=c, irq=10
	map[10]: type Memory, range 64, base r, size  8, enabled
	map[20]: type I/O Port, range 32, base rx1c00, size  5, enabled
pcib0: matched entry for 0.31.INTC
pcib0: slot 31 INTC hardwired to IRQ 19
vgapci0: <VGA-compatible display> port 0x1800-0x1807 mem 0xf8000000-0xf83fffff,0xd0000000-0xdfffffff irq 16 at device 2.0 on pci0
agp0: <Intel GM45 SVGA controller> on vgapci0
agp0: aperture size is 256M, detected 32764k stolen memory
acpi_video0: <ACPI video extension> on vgapci0
found VGA CRT or VESA Compatible Analog Monitor(100), idx#0, port#0, head #0
found Internal/Integrated Digital Flat Panel(400), idx#0, port#0, head #0
found External Digital Monitor(300), idx#0, port#0, head #0
found External Digital Monitor(301), idx#1, port#0, head #0
found External Digital Monitor(302), idx#2, port#0, head #0
drm0: <Mobile Intel\M-B\M-. GM45 Express Chipset> on vgapci0
vgapci0: attempting to allocate 1 MSI vectors (1 supported)
msi: routing MSI IRQ 256 to local APIC 0 vector 49
vgapci0: using IRQ 256 for MSI
info: [drm] MSI enabled 1 message(s)
vgapci0: child drm0 requested pci_enable_busmaster
info: [drm] AGP at 0xd0000000 256MB
info: [drm] Initialized i915 1.6.0 20080730
vgapci1: <VGA-compatible display> mem 0xf8400000-0xf84fffff at device 2.1 on pci0
uhci0: <Intel 82801I (ICH9) USB controller> port 0x1820-0x183f irq 16 at device 26.0 on pci0
ioapic0: routing intpin 16 (PCI IRQ 16) to lapic 0 vector 50
uhci0: [MPSAFE]
uhci0: [ITHREAD]
usbus0: <Intel 82801I (ICH9) USB controller> on uhci0
uhci1: <Intel 82801I (ICH9) USB controller> port 0x1840-0x185f irq 21 at device 26.1 on pci0
ioapic0: routing intpin 21 (PCI IRQ 21) to lapic 0 vector 51
uhci1: [MPSAFE]
uhci1: [ITHREAD]
usbus1: <Intel 82801I (ICH9) USB controller> on uhci1
uhci2: <Intel 82801I (ICH9) USB controller> port 0x1860-0x187f irq 19 at device 26.2 on pci0
ioapic0: routing intpin 19 (PCI IRQ 19) to lapic 0 vector 52
uhci2: [MPSAFE]
uhci2: [ITHREAD]
usbus2: <Intel 82801I (ICH9) USB controller> on uhci2
ehci0: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xf8804800-0xf8804bff irq 19 at device 26.7 on pci0
ehci0: [MPSAFE]
ehci0: [ITHREAD]
usbus3: EHCI version 1.0
usbus3: <Intel 82801I (ICH9) USB 2.0 controller> on ehci0
hdac0: <Intel 82801I High Definition Audio Controller> mem 0xf8600000-0xf8603fff irq 22 at device 27.0 on pci0
hdac0: HDA Driver Revision: 20100122_0141
hdac0: attempting to allocate 1 MSI vectors (1 supported)
msi: routing MSI IRQ 257 to local APIC 0 vector 53
hdac0: using IRQ 257 for MSI
hdac0: [MPSAFE]
hdac0: [ITHREAD]
hdac0: Caps: OSS 4, ISS 4, BSS 0, NSDO 1, 64bit, CORB 256, RIRB 256
pcib1: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pcib1:   domain            0
pcib1:   secondary bus     2
pcib1:   subordinate bus   3
pcib1:   I/O decode        0x2000-0x2fff
pcib1:   memory decode     0xf4000000-0xf5ffffff
pcib1:   prefetched decode 0xf0000000-0xf1ffffff
pci2: <ACPI PCI bus> on pcib1
pci2: domain=0, physical bus=2
pcib2: <ACPI PCI-PCI bridge> irq 16 at device 28.1 on pci0
pcib2:   domain            0
pcib2:   secondary bus     4
pcib2:   subordinate bus   5
pcib2:   I/O decode        0x3000-0x3fff
pcib2:   memory decode     0xf6000000-0xf7ffffff
pcib2:   prefetched decode 0xf2000000-0xf3ffffff
pci4: <ACPI PCI bus> on pcib2
pci4: domain=0, physical bus=4
found->	vendor=0x8086, dev=0x4235, revid=0x00
	domain=0, bus=4, slot=0, func=0
	class=02-80-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=11
	powerspec 3  supports D0 D3  current D0
	MSI supports 1 message, 64 bit
	map[10]: type Memory, range 64, base rxf6000000, size 13, enabled
pcib2: requested memory range 0xf6000000-0xf6001fff: good
pcib2: matched entry for 4.0.INTA
pcib2: slot 0 INTA hardwired to IRQ 17
iwn0: <Intel(R) PRO/Wireless 5300> mem 0xf6000000-0xf6001fff irq 17 at device 0.0 on pci4
iwn0: attempting to allocate 1 MSI vectors (1 supported)
msi: routing MSI IRQ 258 to local APIC 0 vector 54
iwn0: using IRQ 258 for MSI
iwn0: MIMO 3T3R, MoW, address 00:21:6a:77:cd:92
iwn0: [MPSAFE]
iwn0: [ITHREAD]
iwn0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
iwn0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
iwn0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
pcib3: <ACPI PCI-PCI bridge> irq 16 at device 28.5 on pci0
pcib3:   domain            0
pcib3:   secondary bus     6
pcib3:   subordinate bus   6
pcib3:   I/O decode        0xf000-0xfff
pcib3:   memory decode     0xf8500000-0xf85fffff
pcib3:   no prefetched decode
pci6: <ACPI PCI bus> on pcib3
pci6: domain=0, physical bus=6
found->	vendor=0x14e4, dev=0x1698, revid=0x10
	domain=0, bus=6, slot=0, func=0
	class=02-00-00, hdrtype=0x00, mfdev=0
	cmdreg=0x0106, statreg=0x0010, cachelnsz=16 (dwords)
	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
	intpin=a, irq=11
	powerspec 3  supports D0 D3  current D0
	MSI supports 1 message, 64 bit
	map[10]: type Memory, range 64, base rxf8500000, size 16, enabled
pcib3: requested memory range 0xf8500000-0xf850ffff: good
pcib3: matched entry for 6.0.INTA
pcib3: slot 0 INTA hardwired to IRQ 17
bge0: <Broadcom NetLink Gigabit Ethernet Controller    , ASIC rev. 0x5784100> mem 0xf8500000-0xf850ffff irq 17 at device 0.0 on pci6
bge0: adjust device control 0x2000 -> 0x5000
bge0: attempting to allocate 1 MSI vectors (1 supported)
msi: routing MSI IRQ 259 to local APIC 0 vector 55
bge0: using IRQ 259 for MSI
bge0: CHIP ID 0x05784100; ASIC REV 0x5784; CHIP REV 0x57841; PCI-E
bge0: Disabling fastboot
bge0: Disabling fastboot
miibus0: <MII bus> on bge0
brgphy0: <BCM5784 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0: OUI 0x0050ef, model 0x003a, rev. 4
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bge0: bpf attached
bge0: Ethernet address: 00:22:19:e5:ca:51
bge0: [MPSAFE]
bge0: [FILTER]
uhci3: <Intel 82801I (ICH9) USB controller> port 0x1880-0x189f irq 23 at device 29.0 on pci0
ioapic0: routing intpin 23 (PCI IRQ 23) to lapic 0 vector 56
uhci3: [MPSAFE]
uhci3: [ITHREAD]
usbus4: <Intel 82801I (ICH9) USB controller> on uhci3
uhci4: <Intel 82801I (ICH9) USB controller> port 0x18a0-0x18bf irq 19 at device 29.1 on pci0
uhci4: [MPSAFE]
uhci4: [ITHREAD]
usbus5: <Intel 82801I (ICH9) USB controller> on uhci4
uhci5: <Intel 82801I (ICH9) USB controller> port 0x18c0-0x18df irq 18 at device 29.2 on pci0
ioapic0: routing intpin 18 (PCI IRQ 18) to lapic 0 vector 57
uhci5: [MPSAFE]
uhci5: [ITHREAD]
usbus6: <Intel 82801I (ICH9) USB controller> on uhci5
ehci1: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xf8804c00-0xf8804fff irq 23 at device 29.7 on pci0
ehci1: [MPSAFE]
ehci1: [ITHREAD]
usbus7: EHCI version 1.0
usbus7: <Intel 82801I (ICH9) USB 2.0 controller> on ehci1
pcib4: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pcib4:   domain            0
pcib4:   secondary bus     7
pcib4:   subordinate bus   7
pcib4:   I/O decode        0xf000-0xfff
pcib4:   no prefetched decode
pcib4:   Subtractively decoded bridge.
pcib4: could not get PCI interrupt routing table for \\_SB_.PCI0.P0P1 - AE_NOT_FOUND
pci7: <ACPI PCI bus> on pcib4
pci7: domain=0, physical bus=7
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel (ID=29298086) AHCI controller> port 0x1818-0x181f,0x180c-0x180f,0x1810-0x1817,0x1808-0x180b,0x18e0-0x18ff mem 0xf8804000-0xf88047ff irq 19 at device 31.2 on pci0
atapci0: [MPSAFE]
atapci0: [ITHREAD]
atapci0: AHCI v1.20 controller with 4 3Gbps ports, PM supported
atapci0: Caps: 64bit NCQ SNTF ALP AL CLO 3Gbps PM PMD SSC PSC 32cmd CCC eSATA 4ports
ata2: <ATA channel 0> on atapci0
ata2: [MPSAFE]
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
ata3: [MPSAFE]
ata3: [ITHREAD]
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
acpi_button0: <Power Button> on acpi0
acpi_button1: <Sleep Button> on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
acpi_acad0: <AC Adapter> on acpi0
battery0: <ACPI Control Method Battery> on acpi0
acpi_tz0: <Thermal Zone> on acpi0
acpi_tz1: <Thermal Zone> on acpi0
acpi_tz2: <Thermal Zone> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x77 irq 8 on acpi0
atrtc0: Warning: Couldn't map I/O.
atrtc0: registered as a time-of-day clock (resolution 1000000us)
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
atkbd: the current kbd controller command byte 0047
atkbd: keyboard ID 0x41ab (2)
kbd0 at atkbd0
kbd0: atkbd0, AT 101/102 (2), config:0x0, flags:0x3d0000
ioapic0: routing intpin 1 (ISA IRQ 1) to lapic 0 vector 58
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: unable to allocate IRQ
psmcpnp0: <PS/2 mouse port> irq 12 on acpi0
psm0: current command byte:0047
psm0: <PS/2 Mouse> irq 12 on atkbdc0
ioapic0: routing intpin 12 (ISA IRQ 12) to lapic 0 vector 59
psm0: [GIANT-LOCKED]
psm0: [ITHREAD]
psm0: model Synaptics Touchpad, device ID 0-00, 3 buttons
psm0: config:00006000, flags:00000008, packet size:6
psm0: syncmask:c0, syncbits:00
acpi0: wakeup code va 0xffffff8074d9a000 pa 0x4000
isa_probe_children: disabling PnP devices
atkbdc: atkbdc0 already exists; skipping it
atrtc: atrtc0 already exists; skipping it
sc: sc0 already exists; skipping it
isa_probe_children: probing non-PnP devices
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sc0: fb0, kbd1, terminal emulator: scteken (teken terminal)
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
fdc0 failed to probe at port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on isa0
ppc0 failed to probe at irq 7 on isa0
uart0 failed to probe at port 0x3f8 irq 4 on isa0
uart1 failed to probe at port 0x2f8 irq 3 on isa0
isa_probe_children: probing PnP devices
est0: <Enhanced SpeedStep Frequency Control> on cpu0
est0: Invalid id16 (set, cur) = (2075, 1810)
est0: Can't check freq 1401, it may be invalid
p4tcc0: <CPU Frequency Thermal Control> on cpu0
est1: <Enhanced SpeedStep Frequency Control> on cpu1
est1: Invalid id16 (set, cur) = (2075, 1810)
est1: Can't check freq 1401, it may be invalid
p4tcc1: <CPU Frequency Thermal Control> on cpu1
Device configuration finished.
Reducing kern.maxvnodes 255210 -> 100000
procfs registered
ZFS NOTICE: Prefetch is disabled by default if less than 4GB of RAM is present;
            to enable, add "vfs.zfs.prefetch_disable=0" to /boot/loader.conf.
ZFS filesystem version 3
ZFS storage pool version 14
lapic: Divisor 2, Frequency 100004290 Hz
ioapic0: routing intpin 8 (ISA IRQ 8) to lapic 0 vector 60
Timecounter "TSC" frequency 1400059997 Hz quality -100
Timecounters tick every 1.000 msec
vlan: initialized, using hash tables with chaining
epair initialized.
lo0: bpf attached
hdac0: Probing codec #0...
hdac0: HDA Codec #0: IDT 92HD73C1
hdac0:  HDA Codec ID: 0x111d7675
hdac0:        Vendor: 0x111d
hdac0:        Device: 0x7675
hdac0:      Revision: 0x02
hdac0:      Stepping: 0x02
hdac0: PCI Subvendor: 0x02b91028
hdac0: 	Found audio FG nid=1 startnode=10 endnode=44 total=34
hdac0: Probing codec #1...
hdac0: HDA Codec #1: Intel G45 HDMI
hdac0:  HDA Codec ID: 0x80862802
hdac0:        Vendor: 0x8086
hdac0:        Device: 0x2802
hdac0:      Revision: 0x00
hdac0:      Stepping: 0x00
hdac0: PCI Subvendor: 0x02b91028
hdac0: 	Found audio FG nid=1 startnode=2 endnode=4 total=2
hdac0: 
hdac0: Processing audio FG cad=0 nid=1...
hdac0: GPIO: 0xc0000008 NumGPIO=8 NumGPO=0 NumGPI=0 GPIWake=1 GPIUnsol=1
hdac0:  nid 10 0x0421101f as  1 seq 15    Headphones  Jack jack  1 loc  4 color   Black misc 0
hdac0:  nid 11 0x400001f1 as 15 seq  1      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 12 0x400001f2 as 15 seq  2      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 13 0x90170110 as  1 seq  0       Speaker Fixed jack  7 loc 16 color Unknown misc 1
hdac0:  nid 14 0x400001f3 as 15 seq  3      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 15 0x400001f0 as 15 seq  0      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 16 0x400001f4 as 15 seq  4      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 17 0x400001f5 as 15 seq  5      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 18 0x400001f6 as 15 seq  6      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 19 0x90a60160 as  6 seq  0           Mic Fixed jack  6 loc 16 color Unknown misc 1
hdac0:  nid 20 0x400001f7 as 15 seq  7      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 34 0x400001f8 as 15 seq  8      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 35 0x400001f9 as 15 seq  9      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0:  nid 36 0x400001fa as 15 seq 10      Line-out  None jack  0 loc  0 color Unknown misc 1
hdac0: Patched pins configuration:
hdac0:  nid 10 0x0421101f as  1 seq 15    Headphones  Jack jack  1 loc  4 color   Black misc 0
hdac0:  nid 11 0x400001f1 as 15 seq  1      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 12 0x400001f2 as 15 seq  2      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 13 0x90170110 as  1 seq  0       Speaker Fixed jack  7 loc 16 color Unknown misc 1
hdac0:  nid 14 0x400001f3 as 15 seq  3      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 15 0x400001f0 as 15 seq  0      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 16 0x400001f4 as 15 seq  4      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 17 0x400001f5 as 15 seq  5      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 18 0x400001f6 as 15 seq  6      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 19 0x90a60160 as  6 seq  0           Mic Fixed jack  6 loc 16 color Unknown misc 1
hdac0:  nid 20 0x400001f7 as 15 seq  7      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 34 0x400001f8 as 15 seq  8      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 35 0x400001f9 as 15 seq  9      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0:  nid 36 0x400001fa as 15 seq 10      Line-out  None jack  0 loc  0 color Unknown misc 1 [DISABLED]
hdac0: 2 associations found:
hdac0: Association 0 (1) out:
hdac0:  Pin nid=13 seq=0
hdac0:  Pin nid=10 seq=15
hdac0: Association 1 (6) in:
hdac0:  Pin nid=19 seq=0
hdac0: Tracing association 0 (1)
hdac0:  Pin 13 traced to DAC 21
hdac0:  Pin 10 traced to DAC 21 and hpredir 0
hdac0: Association 0 (1) trace succeeded
hdac0: Tracing association 1 (6)
hdac0:  Pin 19 traced to ADC 26
hdac0: Association 1 (6) trace succeeded
hdac0: Tracing input monitor
hdac0: Tracing other input monitors
hdac0:  Tracing nid 19 to out
hdac0: Tracing beeper
hdac0: Enabling headphone/speaker audio routing switching:
hdac0: 	as=0 sense nid=10 [UNSOL]
hdac0: Pin sense: nid=10 res=0x7fffffff
hdac0: FG config/quirks: forcestereo ivref50 ivref80 ivref100 ivref
hdac0: 
hdac0: +-------------------+
hdac0: | DUMPING HDA NODES |
hdac0: +-------------------+
hdac0: 
hdac0: Default Parameter
hdac0: -----------------
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:          IN amp: 0x00270300
hdac0:         OUT amp: 0x80027f7f
hdac0: 
hdac0:             nid: 10
hdac0:            Name: pin: Headphones (Black Jack)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:     Association: 0 (0x00008000)
hdac0:         Pin cap: 0x0000173f
hdac0:                  ISC TRQD PDC HP OUT IN VREF[ 50 80 GROUND HIZ ]
hdac0:      Pin config: 0x0421101f
hdac0:     Pin control: 0x00000080 HP
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + [DISABLED] <- nid=22 [audio output] [DISABLED]
hdac0:           + [DISABLED] <- nid=23 [audio output] [DISABLED]
hdac0:           + [DISABLED] <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 11 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x0000173f
hdac0:                  ISC TRQD PDC HP OUT IN VREF[ 50 80 GROUND HIZ ]
hdac0:      Pin config: 0x400001f1
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 12 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00001737
hdac0:                  ISC TRQD PDC OUT IN VREF[ 50 80 GROUND HIZ ]
hdac0:      Pin config: 0x400001f2
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 13
hdac0:            Name: pin: Speaker (Fixed)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:     Association: 0 (0x00000001)
hdac0:         Pin cap: 0x0000003f
hdac0:                  ISC TRQD PDC HP OUT IN
hdac0:      Pin config: 0x90170110
hdac0:     Pin control: 0x00000040 OUT
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + [DISABLED] <- nid=22 [audio output] [DISABLED]
hdac0:           + [DISABLED] <- nid=23 [audio output] [DISABLED]
hdac0:           + [DISABLED] <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 14 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00001737
hdac0:                  ISC TRQD PDC OUT IN VREF[ 50 80 GROUND HIZ ]
hdac0:      Pin config: 0x400001f3
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 15 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00000037
hdac0:                  ISC TRQD PDC OUT IN
hdac0:      Pin config: 0x400001f0
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 16 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00000037
hdac0:                  ISC TRQD PDC OUT IN
hdac0:      Pin config: 0x400001f4
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 17 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400183
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00000037
hdac0:                  ISC TRQD PDC OUT IN
hdac0:      Pin config: 0x400001f5
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0:           + <- nid=30 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 18 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400081
hdac0:                  UNSOL STEREO
hdac0:         Pin cap: 0x00000024
hdac0:                  PDC IN
hdac0:      Pin config: 0x400001f6
hdac0:     Pin control: 0x00000000
hdac0: 
hdac0:             nid: 19
hdac0:            Name: pin: Mic (Fixed)
hdac0:      Widget cap: 0x00400003
hdac0:                  STEREO
hdac0:     Association: 1 (0x00000001)
hdac0:             OSS: monitor (monitor)
hdac0:         Pin cap: 0x00000020
hdac0:                  IN
hdac0:      Pin config: 0x90a60160
hdac0:     Pin control: 0x00000020 IN
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0: 
hdac0:             nid: 20 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400003
hdac0:                  STEREO
hdac0:         Pin cap: 0x00000020
hdac0:                  IN
hdac0:      Pin config: 0x400001f7
hdac0:     Pin control: 0x00000000
hdac0:       Input amp: 0x00270300
hdac0:                  mute=0 step=3 size=39 offset=0
hdac0: 
hdac0:             nid: 21
hdac0:            Name: audio output
hdac0:      Widget cap: 0x000d0c05
hdac0:                  LRSWAP PWR STEREO
hdac0:     Association: 0 (0x00008001)
hdac0:             OSS: pcm (pcm)
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:      Output amp: 0x80027f7f
hdac0:                  mute=1 step=127 size=2 offset=127
hdac0: 
hdac0:             nid: 22 [DISABLED]
hdac0:            Name: audio output
hdac0:      Widget cap: 0x000d0c05
hdac0:                  LRSWAP PWR STEREO
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:      Output amp: 0x80027f7f
hdac0:                  mute=1 step=127 size=2 offset=127
hdac0: 
hdac0:             nid: 23 [DISABLED]
hdac0:            Name: audio output
hdac0:      Widget cap: 0x000d0c05
hdac0:                  LRSWAP PWR STEREO
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:      Output amp: 0x80027f7f
hdac0:                  mute=1 step=127 size=2 offset=127
hdac0: 
hdac0:             nid: 24 [DISABLED]
hdac0:            Name: vendor widget
hdac0:      Widget cap: 0x00fd0c05
hdac0:                  LRSWAP PWR STEREO
hdac0:      Output amp: 0x80027f7f
hdac0:                  mute=1 step=127 size=2 offset=127
hdac0: 
hdac0:             nid: 25 [DISABLED]
hdac0:            Name: vendor widget
hdac0:      Widget cap: 0x00fd0c05
hdac0:                  LRSWAP PWR STEREO
hdac0:      Output amp: 0x80027f7f
hdac0:                  mute=1 step=127 size=2 offset=127
hdac0: 
hdac0:             nid: 26
hdac0:            Name: audio input
hdac0:      Widget cap: 0x001d0541
hdac0:                  PWR PROC STEREO
hdac0:     Association: 1 (0x00000001)
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:     connections: 1
hdac0:           |
hdac0:           + <- nid=32 [audio selector]
hdac0: 
hdac0:             nid: 27 [DISABLED]
hdac0:            Name: audio input
hdac0:      Widget cap: 0x001d0541
hdac0:                  PWR PROC STEREO
hdac0:      Stream cap: 0x00000001
hdac0:                  PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:     connections: 1
hdac0:           |
hdac0:           + <- nid=33 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 28
hdac0:            Name: beep widget
hdac0:      Widget cap: 0x0070000c
hdac0:     Association: -2 (0x00000000)
hdac0:             OSS: speaker (speaker)
hdac0:      Output amp: 0x80170303
hdac0:                  mute=1 step=3 size=23 offset=3
hdac0: 
hdac0:             nid: 29 [DISABLED]
hdac0:            Name: audio mixer
hdac0:      Widget cap: 0x0020010b
hdac0:                  STEREO
hdac0:       Input amp: 0x80051f17
hdac0:                  mute=1 step=31 size=5 offset=23
hdac0:     connections: 5
hdac0:           |
hdac0:           + [DISABLED] <- nid=40 [audio selector] [DISABLED]
hdac0:           + [DISABLED] <- nid=41 [audio selector] [DISABLED]
hdac0:           + [DISABLED] <- nid=42 [audio selector] [DISABLED]
hdac0:           + [DISABLED] <- nid=43 [audio selector] [DISABLED]
hdac0:           + [DISABLED] <- nid=18 [pin: Line-out (None)] [DISABLED]
hdac0: 
hdac0:             nid: 30 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x0030010d
hdac0:                  STEREO
hdac0:      Output amp: 0x80051f1f
hdac0:                  mute=1 step=31 size=5 offset=31
hdac0:     connections: 1
hdac0:           |
hdac0:           + <- nid=29 [audio mixer] [DISABLED]
hdac0: 
hdac0:             nid: 31 [DISABLED]
hdac0:            Name: volume widget
hdac0:      Widget cap: 0x00600000
hdac0:     connections: 3
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0: 
hdac0:             nid: 32
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x0030090d
hdac0:                  LRSWAP STEREO
hdac0:     Association: 1 (0x00000001)
hdac0:             OSS: monitor
hdac0:      Output amp: 0x80050f00
hdac0:                  mute=1 step=15 size=5 offset=0
hdac0:     connections: 12
hdac0:           |
hdac0:           + [DISABLED] <- nid=10 [pin: Headphones (Black Jack)]
hdac0:           + [DISABLED] <- nid=11 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=12 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=13 [pin: Speaker (Fixed)]
hdac0:           + [DISABLED] <- nid=14 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=15 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=16 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=17 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=18 [pin: Line-out (None)] [DISABLED]
hdac0:           + <- nid=19 [pin: Mic (Fixed)] (selected)
hdac0:           + [DISABLED] <- nid=20 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=29 [audio mixer] [DISABLED]
hdac0: 
hdac0:             nid: 33 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x0030090d
hdac0:                  LRSWAP STEREO
hdac0:      Output amp: 0x80050f00
hdac0:                  mute=1 step=15 size=5 offset=0
hdac0:     connections: 12
hdac0:           |
hdac0:           + <- nid=10 [pin: Headphones (Black Jack)] (selected)
hdac0:           + [DISABLED] <- nid=11 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=12 [pin: Line-out (None)] [DISABLED]
hdac0:           + <- nid=13 [pin: Speaker (Fixed)]
hdac0:           + [DISABLED] <- nid=14 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=15 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=16 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=17 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=18 [pin: Line-out (None)] [DISABLED]
hdac0:           + <- nid=19 [pin: Mic (Fixed)]
hdac0:           + [DISABLED] <- nid=20 [pin: Line-out (None)] [DISABLED]
hdac0:           + <- nid=29 [audio mixer] [DISABLED]
hdac0: 
hdac0:             nid: 34 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400301
hdac0:                  DIGITAL STEREO
hdac0:         Pin cap: 0x00000010
hdac0:                  OUT
hdac0:      Pin config: 0x400001f8
hdac0:     Pin control: 0x00000000
hdac0:     connections: 3
hdac0:           |
hdac0:           + <- nid=37 [audio output] [DISABLED] (selected)
hdac0:           + <- nid=32 [audio selector]
hdac0:           + <- nid=33 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 35 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400301
hdac0:                  DIGITAL STEREO
hdac0:         Pin cap: 0x00000010
hdac0:                  OUT
hdac0:      Pin config: 0x400001f9
hdac0:     Pin control: 0x00000000
hdac0:     connections: 3
hdac0:           |
hdac0:           + <- nid=38 [audio output] [DISABLED] (selected)
hdac0:           + <- nid=32 [audio selector]
hdac0:           + <- nid=33 [audio selector] [DISABLED]
hdac0: 
hdac0:             nid: 36 [DISABLED]
hdac0:            Name: pin: Line-out (None)
hdac0:      Widget cap: 0x00400681
hdac0:                  PWR DIGITAL UNSOL STEREO
hdac0:         Pin cap: 0x00010024
hdac0:                  PDC IN EAPD
hdac0:      Pin config: 0x400001fa
hdac0:     Pin control: 0x00000000
hdac0:            EAPD: 0x00000002
hdac0: 
hdac0:             nid: 37 [DISABLED]
hdac0:            Name: audio output
hdac0:      Widget cap: 0x0004021d
hdac0:                  DIGITAL STEREO
hdac0:      Stream cap: 0x00000005
hdac0:                  AC3 PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:      Output amp: 0x80000000
hdac0:                  mute=1 step=0 size=0 offset=0
hdac0: 
hdac0:             nid: 38 [DISABLED]
hdac0:            Name: audio output
hdac0:      Widget cap: 0x0004021d
hdac0:                  DIGITAL STEREO
hdac0:      Stream cap: 0x00000005
hdac0:                  AC3 PCM
hdac0:         PCM cap: 0x000e05e0
hdac0:                  16 20 24 bits, 44 48 88 96 192 KHz
hdac0:      Output amp: 0x80000000
hdac0:                  mute=1 step=0 size=0 offset=0
hdac0: 
hdac0:             nid: 39 [DISABLED]
hdac0:            Name: audio input
hdac0:      Widget cap: 0x0014031b
hdac0:                  DIGITAL STEREO
hdac0:      Stream cap: 0x00000005
hdac0:                  AC3 PCM
hdac0:         PCM cap: 0x000e0160
hdac0:                  16 20 24 bits, 44 48 96 KHz
hdac0:       Input amp: 0x80000000
hdac0:                  mute=1 step=0 size=0 offset=0
hdac0:     connections: 1
hdac0:           |
hdac0:           + [DISABLED] <- nid=36 [pin: Line-out (None)] [DISABLED]
hdac0: 
hdac0:             nid: 40 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x00300101
hdac0:                  STEREO
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=10 [pin: Headphones (Black Jack)] (selected)
hdac0:           + [DISABLED] <- nid=11 [pin: Line-out (None)] [DISABLED]
hdac0:           + <- nid=13 [pin: Speaker (Fixed)]
hdac0:           + [DISABLED] <- nid=15 [pin: Line-out (None)] [DISABLED]
hdac0: 
hdac0:             nid: 41 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x00300101
hdac0:                  STEREO
hdac0:     connections: 4
hdac0:           |
hdac0:           + <- nid=10 [pin: Headphones (Black Jack)] (selected)
hdac0:           + [DISABLED] <- nid=14 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=16 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=17 [pin: Line-out (None)] [DISABLED]
hdac0: 
hdac0:             nid: 42 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x00300101
hdac0:                  STEREO
hdac0:     connections: 4
hdac0:           |
hdac0:           + [DISABLED] <- nid=11 [pin: Line-out (None)] [DISABLED] (selected)
hdac0:           + [DISABLED] <- nid=12 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=16 [pin: Line-out (None)] [DISABLED]
hdac0:           + [DISABLED] <- nid=17 [pin: Line-out (None)] [DISABLED]
hdac0: 
hdac0:             nid: 43 [DISABLED]
hdac0:            Name: audio selector
hdac0:      Widget cap: 0x00300101
hdac0:                  STEREO
hdac0:     connections: 3
hdac0:           |
hdac0:           + <- nid=21 [audio output] (selected)
hdac0:           + <- nid=22 [audio output] [DISABLED]
hdac0:           + <- nid=23 [audio output] [DISABLED]
hdac0: 
hdac0: Processing audio FG cad=1 nid=1...
hdac0: GPIO: 0x00000000 NumGPIO=0 NumGPO=0 NumGPI=0 GPIWake=0 GPIUnsol=0
hdac0:  nid 3 0x18560010 as  1 seq  0   Digital-out  Jack jack  6 loc 24 color Unknown misc 0
hdac0: Patched pins configuration:
hdac0:  nid 3 0x18560010 as  1 seq  0   Digital-out  Jack jack  6 loc 24 color Unknown misc 0
hdac0: 1 associations found:
hdac0: Association 0 (1) out:
hdac0:  Pin nid=3 seq=0
hdac0: Tracing association 0 (1)
hdac0:  Pin 3 traced to DAC 2
hdac0: Association 0 (1) trace succeeded
hdac0: Tracing input monitor
hdac0: Tracing other input monitors
hdac0: Tracing beeper
hdac0: FG config/quirks: forcestereo ivref50 ivref80 ivref100 ivref
hdac0: 
hdac0: +-------------------+
hdac0: | DUMPING HDA NODES |
hdac0: +-------------------+
hdac0: 
hdac0: Default Parameter
hdac0: -----------------
hdac0:          IN amp: 0x00000000
hdac0:         OUT amp: 0x00000000
hdac0: 
hdac0:             nid: 2
hdac0:            Name: audio output
hdac0:      Widget cap: 0x00006211
hdac0:                  DIGITAL 8CH
hdac0:     Association: 0 (0x00000001)
hdac0:             OSS: pcm (pcm)
hdac0:      Stream cap: 0x00000005
hdac0:                  AC3 PCM
hdac0:         PCM cap: 0x001e07f0
hdac0:                  16 20 24 32 bits, 32 44 48 88 96 176 192 KHz
hdac0: 
hdac0:             nid: 3
hdac0:            Name: pin: Digital-out (Jack)
hdac0:      Widget cap: 0x0040739d
hdac0:                  DIGITAL UNSOL 8CH
hdac0:     Association: 0 (0x00000001)
hdac0:         Pin cap: 0x00000094
hdac0:                  PDC OUT HDMI
hdac0:      Pin config: 0x18560010
hdac0:     Pin control: 0x00000040 OUT
hdac0:      Output amp: 0x80000000
hdac0:                  mute=1 step=0 size=0 offset=0
hdac0:     connections: 1
hdac0:           |
hdac0:           + <- nid=2 [audio output]
hdac0: 
pcm0: <HDA IDT 92HD73C1 PCM #0 Analog> at cad 0 nid 1 on hdac0
pcm0: +--------------------------------------+
pcm0: | DUMPING PCM Playback/Record Channels |
pcm0: +--------------------------------------+
pcm0: 
pcm0: Playback:
pcm0: 
pcm0:      Stream cap: 0x00000001
pcm0:                  PCM
pcm0:         PCM cap: 0x000e05e0
pcm0:                  16 20 24 bits, 44 48 88 96 192 KHz
pcm0:             DAC: 21
pcm0: 
pcm0: Record:
pcm0: 
pcm0:      Stream cap: 0x00000001
pcm0:                  PCM
pcm0:         PCM cap: 0x000e05e0
pcm0:                  16 20 24 bits, 44 48 88 96 192 KHz
pcm0:             ADC: 26
pcm0: 
pcm0: +-------------------------------+
pcm0: | DUMPING Playback/Record Paths |
pcm0: +-------------------------------+
pcm0: 
pcm0: Playback:
pcm0: 
pcm0:     nid=13 [pin: Speaker (Fixed)]
pcm0:       |
pcm0:       + <- nid=21 [audio output] [src: pcm]
pcm0: 
pcm0:     nid=10 [pin: Headphones (Black Jack)]
pcm0:       |
pcm0:       + <- nid=21 [audio output] [src: pcm]
pcm0: 
pcm0: Record:
pcm0: 
pcm0:     nid=26 [audio input]
pcm0:       |
pcm0:       + <- nid=32 [audio selector] [src: monitor]
pcm0:              |
pcm0:              + <- nid=19 [pin: Mic (Fixed)] [src: monitor]
pcm0: 
pcm0: +-------------------------+
pcm0: | DUMPING Volume Controls |
pcm0: +-------------------------+
pcm0: 
pcm0: Master Volume (OSS: vol)
pcm0:    |
pcm0:    +- ctl 11 (nid  21 out):    -95/0dB (128 steps) + mute
pcm0: 
pcm0: PCM Volume (OSS: pcm)
pcm0:    |
pcm0:    +- ctl 11 (nid  21 out):    -95/0dB (128 steps) + mute
pcm0: 
pcm0: Microphone2 Volume (OSS: monitor)
pcm0:    |
pcm0:    +- ctl  9 (nid  19 out):    0/30dB (4 steps)
pcm0: 
pcm0: Speaker/Beep Volume (OSS: speaker)
pcm0:    |
pcm0:    +- ctl 16 (nid  28 out):    -18/0dB (4 steps) + mute
pcm0: 
pcm0: Recording Level (OSS: rec)
pcm0:    |
pcm0:    +- ctl 23 (nid  32 out):    0/22dB (16 steps) + mute
pcm0: 
pcm0: Mixer "vol":
pcm0: Mixer "pcm":
pcm0: Mixer "speaker":
pcm0: Mixer "rec":
pcm0: Mixer "monitor":
pcm0: clone manager: deadline=750ms flags=0x8000001e
pcm0: sndbuf_setmap 2ed0000, 4000; 0xffffff8074db2000 -> 2ed0000
pcm0: sndbuf_setmap 13ffc0000, 4000; 0xffffff8074dc2000 -> 13ffc0000
pcm1: <HDA Intel G45 HDMI PCM #0 HDMI> at cad 1 nid 1 on hdac0
pcm1: +--------------------------------------+
pcm1: | DUMPING PCM Playback/Record Channels |
pcm1: +--------------------------------------+
pcm1: 
pcm1: Playback:
pcm1: 
pcm1:      Stream cap: 0x00000005
pcm1:                  AC3 PCM
pcm1:         PCM cap: 0x001e07f0
pcm1:                  16 20 24 32 bits, 32 44 48 88 96 176 192 KHz
pcm1:             DAC: 2
pcm1: 
pcm1: +-------------------------------+
pcm1: | DUMPING Playback/Record Paths |
pcm1: +-------------------------------+
pcm1: 
pcm1: Playback:
pcm1: 
pcm1:     nid=3 [pin: Digital-out (Jack)]
pcm1:       |
pcm1:       + <- nid=2 [audio output] [src: pcm]
pcm1: 
pcm1: +-------------------------+
pcm1: | DUMPING Volume Controls |
pcm1: +-------------------------+
pcm1: 
pcm1: Master Volume (OSS: vol)
pcm1:    |
pcm1:    +- ctl  1 (nid   3 in ):    mute
pcm1: 
pcm1: PCM Volume (OSS: pcm)
pcm1:    |
pcm1:    +- ctl  1 (nid   3 in ):    mute
pcm1: 
pcm1: Enabling Soft PCM volume
pcm1: Mixer "vol":
pcm1: Mixer "pcm":
pcm1: Soft PCM mixer ENABLED
pcm1: clone manager: deadline=750ms flags=0x8000001e
pcm1: sndbuf_setmap 13ffd0000, 4000; 0xffffff8074dd2000 -> 13ffd0000
ata2: AHCI reset...
ata2: hardware reset ...
ata2: SATA connect time=0ms status=00000123
ata2: ready wait time=7ms
ata2: software reset port 15...
ata2: ready wait time=0ms
ata2: SIGNATURE: 00000101
ata2: AHCI reset done: devices=00000001
ata3: AHCI reset...
ata3: hardware reset ...
ata3: SATA connect timeout status=00000000
ata3: AHCI reset done: phy reset found no device
(aprobe0:ata2:0:0:0): SIGNATURE: 0000
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
usbus3: 480Mbps High Speed USB v2.0
usbus4: 12Mbps Full Speed USB v1.0
usbus5: 12Mbps Full Speed USB v1.0
usbus6: 12Mbps Full Speed USB v1.0
usbus7: 480Mbps High Speed USB v2.0
acpi_acad0: acline initialization start
battery0: battery initialization start
ada0 at ata2 bus 0 scbus0 target 0 lun 0GEOM: new disk ada0

ada0: <SAMSUNG SSD PB22-CS3 TM 256GB VBM23D1Q> ATA-7 SATA 2.x device
ada0: Serial Number YF30F0K939SY939B8334
ada0: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada0: 244198MB (500118192 512 byte sectors: 16H 63S/T 16383C)
pass0 at ata2 bus 0 scbus0 target 0 lun 0
pass0: <SAMSUNG SSD PB22-CS3 TM 256GB VBM23D1Q> ATA-7 SATA 2.x device
pass0: Serial Number YF30F0K939SY939B8334
pass0: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
SMP: AP CPU #1 Launched!
cpu1 AP:
     ID: 0x01000000   VER: 0x00050014 LDR: 0x00000000 DFR: 0xffffffff
  lint0: 0x00010700 lint1: 0x00000400 TPR: 0x00000000 SVR: 0x000001ff
  timer: 0x000200ef therm: 0x00010000 err: 0x00010000 pcm: 0x00010400
ioapic0: routing intpin 8 (ISA IRQ 8) to lapic 1 vector 48
ioapic0: routing intpin 12 (ISA IRQ 12) to lapic 1 vector 49
ioapic0: routing intpin 18 (PCI IRQ 18) to lapic 1 vector 50
ioapic0: routing intpin 21 (PCI IRQ 21) to lapic 1 vector 51
msi: Assigning MSI IRQ 257 to local APIC 1 vector 52
msi: Assigning MSI IRQ 259 to local APIC 1 vector 53
ugen1.1: <Intel> at usbus1ugen0.1: <Intel> at usbus0

uhub0: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
uhub1: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen2.1: <Intel> at usbus2
uhub2: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
ugen3.1: <Intel> at usbus3ugen4.1: <Intel> at usbus4

uhub3: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus3
uhub4: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus4
ugen5.1: <Intel> at usbus5ugen6.1: <Intel> at usbus6

uhub5: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus5
uhub6: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus6
ugen7.1: <Intel> at usbus7
uhub7: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus7
AcpiOsDerivePciId: \\_SB_.PCI0.RP01.PXCS -> bus 0 dev 28 func 0
AcpiOsDerivePciId: \\_SB_.PCI0.RP02.PXCS -> bus 0 dev 28 func 1
Root mount waiting for: usbus7 usbus6 usbus5 usbus4 usbus3 usbus2 usbus1 usbus0
battery0: battery initialization done, tried 1 times
acpi_lid0: Lid opened
acpi_lid0: Lid opened
acpi_acad0: On Line
acpi_acad0: acline initialization done, tried 1 times
AcpiOsDerivePciId: \\_SB_.PCI0.RP03.PXCS -> bus 0 dev 28 func 2
AcpiOsDerivePciId: \\_SB_.PCI0.RP06.PXCS -> bus 0 dev 28 func 5
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub2: 2 ports with 2 removable, self powered
uhub4: 2 ports with 2 removable, self powered
uhub5: 2 ports with 2 removable, self powered
uhub6: 2 ports with 2 removable, self powered
Root mount waiting for: usbus7 usbus3
Root mount waiting for: usbus7 usbus3
uhub3: 6 ports with 6 removable, self powered
uhub7: 6 ports with 6 removable, self powered
Root mount waiting for: usbus7
usb_alloc_device: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
Root mount waiting for: usbus7
usbd_req_re_enumerate: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
Root mount waiting for: usbus7
usbd_req_re_enumerate: getting device descriptor at addr 2 failed, USB_ERR_TIMEOUT
ugen7.2: <(null)> at usbus7 (disconnected)
uhub_reattach_port: could not allocate new device
Trying to mount root from zfs:zroot
ct_to_ts([2010-02-23 14:49:56]) = 1266936596.000000000
start_init: trying /sbin/init
acpi_lid0: Lid opened
acpi_lid0: Lid opened
Linux ELF exec handler installed
linprocfs registered
ugen6.2: <Broadcom> at usbus6
uhub8: <Broadcom BCM2046B1, class 9/0, rev 2.00/1.00, addr 2> on usbus6
uhub8: 3 ports with 0 removable, self powered
ugen6.3: <vendor 0x413c> at usbus6
ukbd0: <vendor 0x413c product 0x8157, class 0/0, rev 2.00/1.00, addr 3> on usbus6
kbd2 at ukbd0
kbd2: ukbd0, generic (0), config:0x0, flags:0x3d0000
ugen6.4: <vendor 0x413c> at usbus6
ums0: <vendor 0x413c product 0x8158, class 0/0, rev 2.00/1.00, addr 4> on usbus6
ums0: 3 buttons and [XY] coordinates ID=2
wlan0: bpf attached
wlan0: bpf attached
wlan0: Ethernet address: 00:21:6a:77:cd:92
firmware: 'iwn5000fw' version 0: 353240 bytes loaded at 0xffffffff810330b0
wlan0: link state changed to UP
acpi_lid0: Lid opened
acpi_lid0: Lid opened
drm0: [MPSAFE]
drm0: [ITHREAD]

Fix: 

Revert commits to zfsboot code around this time:

  http://svn.freebsd.org/viewvc/base/head/sys/boot/i386/zfsboot/zfsboot.c?r1=199714&r2=200309

Compile an older version of the boot code and write it to disk:

# cd /usr/src/sys/boot/
# make cleandir
# make cleandir
# make obj
# make depend
# make
# gpart bootcode -p /usr/obj/usr/src/sys/boot/i386/gptzfsboot/gptzfsboot -i 1 ad4

Keep a FreeBSD snapshot DVD handy to boot from :)
How-To-Repeat: Install FreeBSD using the following method on a Dell Adamo 13:

  http://wiki.freebsd.org/RootOnZFS/GPTZFSBoot

using a recent version of 8-STABLE or 9.0-CURRENT.
Comment 1 Mark Linimon freebsd_committer 2010-02-23 17:47:44 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-fs

Over to maintainer(s).
Comment 2 Martin Matuska freebsd_committer 2010-08-13 22:42:04 UTC
Could you please try with recent 9-CURRENT, 8-STABLE or try the patch
from: kern/148655 ?
Comment 3 Elliot Robinson 2014-08-21 19:46:03 UTC
I receive this error message on boot using a Dell Studio XPS 1640 w/ Core2 Duo. I have tested 9.3-RELEASE and 10.0-RELEASE with identical results. I have not yet attempted the original reporter's fix.

Steps to reproduce:
1. Install FreeBSD 9.3 or 10 using the "ZFS" partitioning scheme with GPT on a Dell Studio XPS 1640.
2. Reboot
Comment 4 Elliot Robinson 2014-08-26 00:09:50 UTC
I have attempted building sys/boot from commit 199714 under 9.3 (doesn't build under 10 with clang). It complains about the ZFS version being too new, so this is no longer an immediately viable fix under FreeBSD 10.
Comment 5 John Baldwin freebsd_committer 2014-08-27 19:14:41 UTC
Created attachment 146387 [details]
extra_debug_info.patch

Please try this patch.  It will not fix the problem, but it will provide more details about the request that fails.  Error code 1 from the BIOS is roughly equivalent to EINVAL.  This will hopefully dump enough details that we can figure out the issue.  Given that the reporter claims the issue cropped up when we started letting gptboot use memory above 1MB, my guess is that something in ZFS is doing I/O using a buffer allocated via malloc().

Note that the biosdisk.c code in the loader has more complicated logic to use bounce buffers to ensure that all I/O is done in a lower memory range.  Probably this needs to be ported to drv.c for gptboot/gptzfsboot.
Comment 6 John Baldwin freebsd_committer 2014-08-27 20:10:38 UTC
Created attachment 146392 [details]
bounce_buffer_1.patch

Here is a first cut at a bounce buffer patch for gptboot/gptzfsboot.  I have not tested this at all (though it does compile).  This might actually fix the issue however as it should use a bounce buffer for any I/O request to a destination buffer above 1MB.
Comment 7 Elliot Robinson 2014-08-28 03:20:54 UTC
Applied extra_debug_info.patch manually. Had to remove the conditional to get things to print, though it very well could have been a typo on my part.

gptzfsboot: error 1 lba 48
    drv c338c483 count 16 to 2000:0
gptzfsboot: error 1 lba 1
    drv c338c483 count 1 to 2200:0
gptzfsboot: No ZFS pools located, can't boot.

I couldn't get bounce_buffer_1.patch to apply against 10.0-RELEASE's source bundle. If you'll let me know which commit you're working from, I'll be happy to pull and test from there.
Comment 8 John Baldwin freebsd_committer 2014-09-03 17:52:43 UTC
Created attachment 146742 [details]
stable_10.patch

Sorry, this additional patch is relative to stable/10 and should apply to 10.0 (drv.c hasn't changed in stable/10 since 10.0 was branched).

This includes both of the previous patches.
Comment 9 John Baldwin freebsd_committer 2014-10-24 15:08:07 UTC
Can you test the patch against 10?
Comment 10 Elliot Robinson 2014-10-24 15:28:00 UTC
Thanks for the reminder and apologies for the delay. Work pressures have prevented taking down my primary laptop (the machine in question) so far, but it's still definitely on the plan. I'll see if I can replicate the issue over iSCSI this afternoon and, if so, test the patch. Even if I have to swap out the hard drives (again...), it should be tested this weekend.
Comment 11 Elliot Robinson 2014-10-24 19:32:45 UTC
Compiled and installed patch. Prior to "No ZFS pools located", the loader makes 120 calls to drvread, all of which result in immediate calls to drvread_one via the sub-1MB buffer conditional.
Comment 12 Jason Mann 2014-10-31 09:46:45 UTC
I too have experienced the problem reported here since installing 10.0-RELEASE on my Dell Vostro 1700 laptop.  This laptop is a Core 2 Duo machine.  For me though, the problem is intermittent.  The boot failure only occurs occasionally, with the message:

gptzfsboot: error 1 lba 32
gptzfsboot: error 1 lba 1
gptzfsboot: No ZFS pools located, can't boot

Hitting CTRL+ALT+DEL at this point usually results in a successful boot the next time around.

I also applied the stable_10.patch, rebuilt and reinstalled the pmbr and gptzfsboot code, but I see no additional output before the loader's BTX version banner appears.

The procedure I followed was:

# cd /usr/src/sys/boot/i386/common
# patch drv.c < /root/stable_10.patch
# cd ../../
# make
# make install
# gpart bootcode -b /boot/pmbr -p /boot/gptzfsboot -i 1 ada0

I'm not too au fait with applying patches to FreeBSD source and installing it, so please let me know if I've done the wrong things here.
Comment 13 David O'Rourke 2015-01-02 02:06:00 UTC
Experiencing this issue on a Dell XPS M1530 with a new installation of FreeBSD 10.1, ZFS on root and encrypted.

zfsboot: error 1 lba 64
zfsboot: error 1 lba 0
zfsboot: No ZFS pools located, can't boot

Booting a shell from my installation media and running "zpool import" lists the bootpool and zroot pools as expected.

Not sure I have anything else to contribute that wasn't already mentioned.
Comment 14 John Baldwin freebsd_committer 2015-01-13 19:43:33 UTC
Does forcing high_heap_size to 0 (and or acting as it if always zero like below) fix this?

--- //depot/user/jhb/boot/sys/boot/i386/zfsboot/zfsboot.c	2014-07-11 18:05:58.000000000 0000
+++ /home/john/work/p4/boot/sys/boot/i386/zfsboot/zfsboot.c	2014-07-11 18:05:58.000000000 0000
@@ -445,7 +445,7 @@
 
     bios_getmem();
 
-    if (high_heap_size > 0) {
+    if (high_heap_size > 0 && 0) {
 	heap_end = PTOV(high_heap_base + high_heap_size);
 	heap_next = PTOV(high_heap_base);
     } else {
Comment 15 Gert Doering 2015-02-04 12:33:10 UTC
I have the same issue trying to boot on an HP BL460c blade system with zfsroot.

Testing the proposed patch, I get

  Attempting Boot From Hard Drive (C:)
  malloc failure
Comment 16 Gert Doering 2015-02-04 13:36:51 UTC
Well, the previous comment was lacking context, sorry.

- with the *last* patch proposed (the "if (high_heap_size > 0 && 0) {" one), I get "malloc failure"

- the "stable_10.patch", does not make a difference for me, it still prints

gptzfsboot: error 1 lba 32
gptzfsboot: error 1 lba 1
gptzfsboot: No ZFS pools located, can't boot
Comment 17 Gert Doering 2015-02-04 15:41:21 UTC
Apologies (again).  It has been a weird day, installation of this machine should only take an hour or so, not end up trying gptzfsboot compile variations while people kept interrupting...

Applying the "stable_10.patch" against a 9.3 source was what I did before, and while it did apply and build nicely, it did not actually excercise the USE_XREAD code part, so the patch did not change anything.  We don't generally do 10.x yet, so I had to find a suitable machine to build on 10.x first

Building on 10.0 with the "stable_10.patch" leads to a gptzfsboot that prints:

  Attempting Boot From Hard Drive (C:)  [this is HP bios]
  ZFS: unsupported feature: com.delphix:hole_birth
  gptzfsboot: No ZFS pools located, can't boot

... which I actually consider "success!" because it could finally locate the ZFS pool (and fails because this is a 9.3/10.1 feature which the 9.3 zfsroot installer put there...).

Upgrading my lab box to 10.1-RELEASE right now, to build new gptzfsboot binaries there (with and without the patch) and then reporting again.   Sorry for the chaotic comments, there does not seem to be an "edit comment" button :-(
Comment 18 Gert Doering 2015-02-04 18:50:35 UTC
Final test result:
 - stock 10.1 gptzfsboot succeeds in booting my HP BL460c just fine, no patch needed.
 - 9.3 gptzfsboot fails with the "error 1" messages

so, for me this is fixed by just replacing gptzfsboot on all affected 9.3-RELEASE systems with the 10.1 binary.

Sorry for all the extra noise added to the ticket.
Comment 19 Elliot Robinson 2015-02-04 19:01:50 UTC
(In reply to Gert Doering from comment #18)
Good news. I'll attempt an install of 10.1-RELEASE this evening.
Comment 20 thefreemanmax 2015-03-22 16:37:06 UTC
I'm in the exact same situation as David O'Rourke, Dell XPS M1530 with FreeBSD 10.1.
Comment 21 Evgeniy Sudyr 2015-04-08 15:01:36 UTC
We have HP DL360 Gen6 servers with similiar issue:

Attempting Boot From Hard Drive (C:)
gptzfsboot: error 1 lba 32
gptzfsboot: error 1 lba 1
gptzfsboot: No ZFS pools located, can't boot 

ProLiant System BIOS - P68 (07/02/2013)
iLO 3 S HP Smart Array P410i Controller      (1024MB, v6.60)  1 Logical Drive>

I've tried use /boot/gptzfsboot from -CURRENT base ftp://ftp.freebsd.org/pub/FreeBSD/snapshots/amd64/11.0-CURRENT/base.txz 

gpart bootcode -b /boot/pmbr -p /boot/gptzfsboot -i 1 /dev/da0

Result: I'm still getting same error.

@Gert Doering: may I ask you what generation of HP BL460c do you have?
Comment 22 Evgeniy Sudyr 2015-04-08 15:02:55 UTC
I did typo in my previous comment, it's ProLiant DL360 G7, not G6
Comment 23 Ronald Klop 2015-07-20 20:10:18 UTC
Created attachment 159025 [details]
Makes the bootblocks find a vdev for booting by using the secondary lookup for all disks.

I had exact his message on my Dell Studio 1555 laptop with SSD + ZFS in it.
error 1 lba 48
error 1 lba 1
No ZFS pools located, can't boot

I could boot with bootblocks from usb-stick. Some digging around in gptzfsboot showed that the usb-stick-boot gets the ZFS pool from a second for-loop over all disks/slices instead of the first probe of the boot disk.

This for-loop skips the boot-disk in an 'if'. When I commented this 'if' the boot works as expected. See attachment.
NB: I'm running 11-CURRENT/amd64 and had the same problem on 10-STABLE/amd64 about a month ago.
Comment 24 Georgy 2015-07-21 15:43:49 UTC
(In reply to Ronald Klop from comment #23)
I Confirm it works on freshly installed 10-1-RELEASE (zfs gpt made with bsdinstall) with latest updates via freebsd-update.
that error still shows  but system loads successfully and I can boot the system.
my hardware is some old Acer Extensa with Core 2 Duo.
Comment 25 Gert Doering 2015-08-10 08:35:19 UTC
(In reply to Ronald Klop from comment #23)

I thought the issue was fixed with gptzfsboot from 10.1-release, but maybe that was just lucky chance because the machine in question had a ZFS *mirror* - so when it looked on "all but the boot device", it would of course find the zfs pool on the second disk... or so.

Anyway, last week I installed a DL380G7 with 10.1 on a hardware-raid with zfs (so ZFS only sees a single disk) - and *bam*, didn't boot, with the "usual" lba error message.

Ronald's patch in #23 will make it boot nicely.  It still prints the LBA error, but then goes on with the spinning wheel and loads zfsloader fine.  THANKS!
Comment 26 Allan Jude freebsd_committer 2016-07-12 23:22:56 UTC
I have encountered this same issue on an HP blade I am renting (HP BL260c G5)

Ronald Klop's patch, to stop skipping the disk if the is the boot disk, solved the issue for me.

I have written a cleaner version of that patch, that only skips the check if reading from the boot disk failed. This should avoid the potential for ZFS to see the same disk twice.
Comment 27 Allan Jude freebsd_committer 2016-07-12 23:25:38 UTC
Created attachment 172443 [details]
Fix for HP gptzfsboot LBA read error
Comment 28 Allan Jude freebsd_committer 2016-07-12 23:33:29 UTC
I have also compiled a binary of the patch for people to try. Would also like reports from unaffected hardware, to ensure it doesn't break something.

http://trooper.hml3.scaleengine.net/gptzfsboot_hp
Comment 29 Ronald Klop 2016-07-20 14:25:52 UTC
(In reply to Allan Jude from comment #26)
Thanks for your work.
It is a pity that all our patches are workarounds for the real issue. Why does the first probe of the disk fail? My wild guess is missing initialization needed on some hardware/BIOS. Because the parameters given to the IO routines are corrupted at first try, but ok afterwards. That's why there is an error about wrong LBA.
Maybe for bootcode the workaround in this issue is ok.
Comment 30 Craig Forbes 2016-08-17 04:22:18 UTC
I'm seeing similar errors with 11.0-RC1 on a Dell T5400.

Installed to a 2 disk mirror

gptzfsboot: error 128 lba 488281248
gptzfsboot: error 128 lba 1
gptzfsboot: error 128 lba 488281248
gptzfsboot: error 128 lba 1
gptzfsboot: No ZFS pools located, can't boot

This machine works fine with 10.3 with the same disk configuration.
Comment 31 SpangleFox 2016-10-21 15:16:21 UTC
I am also having this problem on 11.0-RELEASE on a Dell Inspiron 1525. 

Boots from UFS fine but just won't boot from ZFS. 

If any more details are required will gladly provide them.
Comment 32 gibb 2017-02-12 05:38:19 UTC
I installed FreeBSD 11.0-RELEASE with zfs on HP Pavilion dm3-1130us notebook and after rebooting, I got the following messages:

gptzfsboot: error 66 lba 48
error 72
gptzfsboot: error 66 lba 0
gptzfsboot: error 66 lba 1
gptzfsboot: No ZFS pools located, can't boot.

I googled and tried different suggestions but nothing worked.  After the desperation, I tried the gptzfsboot_hp from Allan Jude in Comment 28.  What do you know, it boots up now!  I still get the first 4 lines about error 66 but it boots now.

Here is what I did:

1) After the installation, I went to shell instead of rebooting.  
2) I fetched Allan's gptzfsboot_hp and replaced /boot/gptzfsboot with this new version (changed the name from gptzfsboot_hp to gptzfsboot).  
3) Updated the bootcode with the following command:
# gpart bootcode -b /boot/pmbr -p /boot/gptzfsboot -i 1 ada0
4) Reboot

I hope this would help...
-gibb
Comment 33 Ronald Klop 2017-02-12 22:47:32 UTC
(In reply to Ronald Klop from comment #23)
My problem went away with a current gptzfsboot of 12-CURRENT/amd64 (r313684) on the same laptop as in my previous comment.
I don't have lba errors anymore at boot.
And the default boot loader without patches boots fine.

I have no idea since when this is working again, sorry. I guess somewhere last month (or two).
Comment 34 Allan Jude freebsd_committer 2017-02-12 22:55:36 UTC
(In reply to Ronald Klop from comment #33)
How big of a disk was it that was giving you this trouble?

HDD or SSD?
Comment 35 Ronald Klop 2017-02-13 21:39:06 UTC
(In reply to Allan Jude from comment #34)

It is all on this SSD:
$ grep ada0 /var/run/dmesg.boot 

ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <Samsung SSD 840 EVO 500GB EXT0BB0Q> ACS-2 ATA SATA 3.x device
ada0: Serial Number S1D**********1K
ada0: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 476940MB (976773168 512 byte sectors)
ada0: quirks=0x3<4K,NCQ_TRIM_BROKEN>

$ gpart show
=>       34  976773101  ada0  GPT  (466G)
         34       1024     1  freebsd-boot  (512K)
       1058       5086        - free -  (2.5M)
       6144    8386560     2  freebsd-swap  (4.0G)
    8392704  968380416     3  freebsd-zfs  (462G)
  976773120         15        - free -  (7.5K)